Jump to content

Midlets that DO work with the MiTAC Java Runtime!


Recommended Posts

  • 2 weeks later...
Guest k2bk2bk2b

This really stinks..... after paying so much for a phone, you'd think that there will be whatever u need from the mitac website.

instead theres none.

I think its time to complain about them and their services.

Maybe i should juz stick with nokia... ericsson.....

quality of phone is not really excellent either....

java for mitac.... only few lucky ones got it. rest of us? TOO BAD???

Link to post
Share on other sites
  • 3 weeks later...
Guest awarner [MVP]

As you have crossposted everywhere else the same reply is that not

many people have Mitac phones unfortunaltely :)

Also in your first post above you have not actually asked for any help :?,

you have only talked about complaining to Mitac :roll:

Link to post
Share on other sites
managed to get hold of a zip file containing 257 nokia 6100 - 7210 - 7250 midlets that im in the process of testing :)

Erm, do you have Gameloft games (eg. Splinter Cell, Siberian Strike, etc...)

Link to post
Share on other sites
  • 3 weeks later...
  • 2 months later...
Guest trideau

Has anyone else had proplems with midlets that use ChoiceGroup(s)? The programs that I have that use them do not show here associated text.

I create midlets from the J2ME sample code but it happens to them as well.

Thanks.

Link to post
Share on other sites

Sounds like a JRE bug, or maybe that class hasn't been fully implemented in it. I take it is a part of the normal MIDP environment?

If it is farked, I don't see any way of fixing it, unless you are one of the fer who has legit access to the MiTAC Java binaries! Someone did mention on Modaco about them porting another JRE to the phone, not sure on the status of it tho.

Link to post
Share on other sites
Guest limubai

saan ba pde mag download ng SPVJava? kase ang nakua ko e, java virtual machine(IBM MIDP) pag na install ko na sya tpos run ko(take note: nag create ako ng folder na temp sa IPSMTemp ayaw pa din e

Link to post
Share on other sites
  • 3 weeks later...
  • 2 months later...
  • 2 weeks later...
  • 8 months later...

Hi. I got a couple of questions please:

1. Does the HTC Voyager, specifically i-Mate Smartphone 2 natively has J2ME support?

2. If non, is this Java from Mitac safe to install?

3. Lastly, how to run midlets on the HTC Voyager model?

Thanks in advance.

Link to post
Share on other sites
  • 7 months later...
  • 1 year later...
Guest Celtic Blood
Well I didn't download the Java.zip - I downloaded the APCD-v20.zip - and took the two cabfiles from that file.

Javaman.cab

midpng_SmartPhone.cab

The java.zip contains:

JavaMan.cab

JavaWM.cab

So I can't really say if the latter is great, but if you download the APCD-v20.zip and take the two cabfiles from there, simply install those two on your IPSM (not your storage card) - then make a folder called "Temp" and place it in "IPSM" (IPSMTemp)

Then place the midlets in the Temp folder, and run Javaman to select which midlet to run.

Can you give me a download link to those two files if possible ? thanks.

Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.